Skip to main content
GET
/
web
/
template
/
{key}
Get Web template versions
curl --request GET \
  --url https://platform.inklink.com/api/v1/web/template/{key} \
  --header 'api-key: <api-key>'
{
  "data": [
    {
      "id": "<string>",
      "key": "<string>",
      "version": 123,
      "is_latest": true,
      "status": "draft",
      "name": "<string>",
      "description": "<string>",
      "query": "<string>",
      "fields": [
        {
          "name": "<string>",
          "required": true,
          "description": "<string>"
        }
      ],
      "user_instruction": "<string>",
      "acceptance_guide": "<string>",
      "start_url": "<string>",
      "return_url": "<string>",
      "capture_type": "screenshot",
      "settings": {
        "show_acceptance_guide": true,
        "show_cover_page": true
      },
      "metadata": {},
      "theme_id": "<string>",
      "org_id": "<string>",
      "created_by": "<string>",
      "published_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.inklink.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

api-key
string
required
Example:

"secret_live_xxx"

Path Parameters

key
string
required

Template key (web_tpl_key_...).

Example:

"web_tpl_key_xxxxxxxxxxxxxxxx"

Response

Versions for this key.

data
object[]